""Basic stuff
set number
set relativenumber
set encoding=utf8
set clipboard+=unnamedplus
set nofoldenable
""Spaces instead of tabs
set expandtab
set tabstop=2
set shiftwidth=2
""Don't litter swp files everywhere
set backupdir=~/.cache
set directory=~/.cache
""Ignore case and highlight matches when searching
set ignorecase
set hlsearch
""Persistent undo
set undofile
""Resize line number colum
set numberwidth=2
""Keybindings
set pastetoggle=<F2>
let mapleader="\<Space>"
nnoremap <leader>n :noh<cr>
"Move the current line up or down
nnoremap <leader>k :m-2<cr>==
nnoremap <leader>j :m+<cr>==
""Snippets
let g:UltiSnipsExpandTrigger = '<tab>'
let g:UltiSnipsJumpForwardTrigger = '<tab>'
let g:UltiSnipsJumpBackwardTrigger = '<s-tab>'
""Vim-plug
call plug#begin('~/.config/nvim/plugged')
Plug 'Raimondi/delimitMate'
Plug 'cocopon/iceberg.vim'
Plug 'LnL7/vim-nix'
call plug#end()
""Colors
colorscheme iceberg
set termguicolors
""Disabe status line
set laststatus=0
